## Uses of Interface
org.apache.xml.dtm.DTMFilter

Packages that use DTMFilter
Package | Description
--- | ---
org.apache.xalan.xsltc.dom |
org.apache.xml.dtm |
org.apache.xml.dtm.ref |
org.apache.xpath | Implementation of XPath; for the most part, only classes meant for public use are found at this root level of the XPath packages.
org.apache.xpath.axes | Implementation of XPath LocationPath support -- primary classes are LocPathIterator and UnionPathIterator.

### Uses of DTMFilter in org.apache.xalan.xsltc.dom

Constructors in org.apache.xalan.xsltc.dom with parameters of type DTMFilter
Constructor and Description
`FilterIterator(DTMAxisIterator source, DTMFilter filter)`

### Uses of DTMFilter in org.apache.xml.dtm

Methods in org.apache.xml.dtm with parameters of type DTMFilter
Modifier and Type | Method and Description
--- | ---
`abstract DTMIterator` | DTMManager.`createDTMIterator(int whatToShow, DTMFilter filter, boolean entityReferenceExpansion)` Create a new `DTMIterator` based only on a whatToShow and a DTMFilter.

### Uses of DTMFilter in org.apache.xml.dtm.ref

Methods in org.apache.xml.dtm.ref with parameters of type DTMFilter
Modifier and Type | Method and Description
--- | ---
`DTMIterator` | DTMManagerDefault.`createDTMIterator(int whatToShow, DTMFilter filter, boolean entityReferenceExpansion)` NEEDSDOC Method createDTMIterator NEEDSDOC @param whatToShow NEEDSDOC @param filter NEEDSDOC @param entityReferenceExpansion NEEDSDOC (createDTMIterator) @return

### Uses of DTMFilter in org.apache.xpath

Methods in org.apache.xpath that return DTMFilter
Modifier and Type | Method and Description
--- | ---
`DTMFilter` | NodeSetDTM.`getFilter()` The filter object used to screen nodes.

Methods in org.apache.xpath with parameters of type DTMFilter
Modifier and Type | Method and Description
--- | ---
`DTMIterator` | XPathContext.`createDTMIterator(int whatToShow, DTMFilter filter, boolean entityReferenceExpansion)` Create a new `DTMIterator` based only on a whatToShow and a DTMFilter.

### Uses of DTMFilter in org.apache.xpath.axes

Methods in org.apache.xpath.axes that return DTMFilter
Modifier and Type | Method and Description
--- | ---
`DTMFilter` | LocPathIterator.`getFilter()` The filter used to screen nodes.